<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Export\Messenger;

use Chill\MainBundle\Entity\ExportGeneration;
use Chill\MainBundle\Entity\User;
use Ramsey\Uuid\UuidInterface;

final readonly class ExportRequestGenerationMessage
{
    public UuidInterface $id;

    public int $userId;

    public function __construct(
        ExportGeneration $exportGeneration,
        User $user,
    ) {
        $this->id = $exportGeneration->getId();
        $this->userId = $user->getId();
    }
}
